import request from '@/utils/request'

// 查询体检报告模板字段列表
export function listPhysicalReportTemplateField(query) {
  return request({
    url: '/his/physicalReportTemplateField/list',
    method: 'get',
    params: query
  })
}

// 查询体检报告模板字段详细
export function getPhysicalReportTemplateField(id) {
  return request({
    url: '/his/physicalReportTemplateField/' + id,
    method: 'get'
  })
}

// 新增体检报告模板字段
export function addPhysicalReportTemplateField(data) {
  return request({
    url: '/his/physicalReportTemplateField',
    method: 'post',
    data: data
  })
}

// 修改体检报告模板字段
export function updatePhysicalReportTemplateField(data) {
  return request({
    url: '/his/physicalReportTemplateField',
    method: 'put',
    data: data
  })
}

// 删除体检报告模板字段
export function delPhysicalReportTemplateField(id) {
  return request({
    url: '/his/physicalReportTemplateField/' + id,
    method: 'delete'
  })
}

// 导出体检报告模板字段
export function exportPhysicalReportTemplateField(query) {
  return request({
    url: '/his/physicalReportTemplateField/export',
    method: 'get',
    params: query
  })
}

// 导出体检报告模板字段
export function getTemplateField(templateId) {
  return request({
    url: '/his/physicalReportTemplateField/getTemplateField/'+templateId,
    method: 'post'
  })
}


// 新增体检报告模板字段
export function saveTemplate(data) {
  return request({
    url: '/his/physicalReportTemplateField/saveTemplate',
    method: 'post',
    data: data
  })
}
